tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Otis Gospodnetic" <o...@neomeo.com>
Subject RE: can't build mod_jserv w/ apxs
Date Mon, 08 May 2000 18:33:08 GMT
Addendum to the original message: the OS is Red Hat 6.2.

Thanks,

Otis

-----Original Message-----
From: Otis Gospodnetic [mailto:otis@neomeo.com]
Sent: Monday, May 08, 2000 2:12 PM
To: tomcat-user@jakarta.apache.org
Subject: can't build mod_jserv w/ apxs


Hi,

I'm trying to compile mod_jserv for Tomcat + Apache, but I'm getting this
error:

#  /usr/local/apache/bin/apxs -c *.c -o mod_jserv.so
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c autochange.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_ajpv11.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_ajpv12.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_balance.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_image.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_mmap.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_protocols.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_status.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_utils.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_watchdog.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_wrapper.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_wrapper_unix.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c jserv_wrapper_win.c
gcc -DLINUX=2 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/usr/local/apache/include  -c mod_jserv.c
  -o autochange.so mod_jserv.o jserv_wrapper_win.o jserv_wrapper_unix.o
jserv_wrapper.o jserv_watchdog.o jserv_utils.o jserv_status.o
jserv_protocols.o jserv_mmap.o jserv_image.o jserv_balance.o jserv_ajpv12.o
jserv_ajpv11.o autochange.o -o mod_jserv.so
apxs:Break: Command failed with rc=16711680


I configured Apache (1.3.12) like this:

#!/bin/sh
./configure \
--enable-module=info \
--enable-module=so \
--disable-module=userdir

Also:

# /usr/sbin/httpd -l
Compiled-in modules:
  http_core.c
  mod_env.c
  mod_log_config.c
  mod_mime.c
  mod_negotiation.c
  mod_status.c
  mod_info.c
  mod_include.c
  mod_autoindex.c
  mod_dir.c
  mod_cgi.c
  mod_asis.c
  mod_imap.c
  mod_actions.c
  mod_alias.c
  mod_access.c
  mod_auth.c
  mod_so.c
  mod_setenvif.c
suexec: disabled; invalid wrapper /usr/local/apache/bin/suexec


Can anyone see what I'm doing wrong?
Thanks,

Otis


--------------------------------------------------------------------------
To unsubscribe, email: tomcat-user-unsubscribe@jakarta.apache.org
For additional commmands, email: tomcat-user-help@jakarta.apache.org



Mime
View raw message